
/* eslint-disable import/no-commonjs */

const xyz = require('./xyz')

module.exports = {
  name: 'lab',
  min: [0, -100, -100],
  max: [100, 100, 100],
  channel: ['lightness', 'a', 'b'],
  alias: ['LAB', 'cielab'],

  xyz(lab) {
    const l = lab[0]
    const a = lab[1]
    const b = lab[2]
    let x; let y; let z; let y2

    if (l <= 8) {
      y = (l * 100) / 903.3
      y2 = (7.787 * (y / 100)) + (16 / 116)
    }
    else {
      y = 100 * Math.pow((l + 16) / 116, 3)
      y2 = Math.pow(y / 100, 1 / 3)
    }

    x = x / 95.047 <= 0.008856 ? x = (95.047 * ((a / 500) + y2 - (16 / 116))) / 7.787 : 95.047 * Math.pow((a / 500) + y2, 3)

    z = z / 108.883 <= 0.008859 ? z = (108.883 * (y2 - (b / 200) - (16 / 116))) / 7.787 : 108.883 * Math.pow(y2 - (b / 200), 3)

    return [x, y, z]
  },
}

// extend xyz
xyz.lab = function(xyz1) {
  let x = xyz1[0]
  let y = xyz1[1]
  let z = xyz1[2]

  x /= 95.047
  y /= 100
  z /= 108.883

  x = x > 0.008856 ? Math.pow(x, 1 / 3) : (7.787 * x) + (16 / 116)
  y = y > 0.008856 ? Math.pow(y, 1 / 3) : (7.787 * y) + (16 / 116)
  z = z > 0.008856 ? Math.pow(z, 1 / 3) : (7.787 * z) + (16 / 116)

  const l = (116 * y) - 16
  const a = 500 * (x - y)
  const b = 200 * (y - z)

  return [l, a, b]
}
