import { Image, Swiper, SwiperItem, Text, View } from '@tarojs/components'
import Taro from '@tarojs/taro'
import styles from './index.module.scss'
import { formatImgUrl } from '@/common/format'
import { goLink } from '@/common/common'

interface params {
  show?: true | false
  onClose?: () => void
}
const BindSalesManPopUp = ({ show, onClose }: params) => {
  const onCustomer = async() => {
    const res = await Taro.showModal({
      title: '是否拨打服务热线',
      confirmText: '拨打',
      content: '(0757) 8270 6695',
      cancelText: '取消',
    })
    if (res.confirm) {
      Taro.makePhoneCall({
        phoneNumber: '(0757)82706695',
      })
    }
  }

  const onConfirm = () => {
    onClose?.()
    goLink('/pages/bindSalesman/index')
  }
  return (
    <>
      {show && (
        <View className={styles.bindSalesman_main}>
          <View className={styles.bindSalesman_pop}>
            <View className={styles.bindSalesman_header}>
              <Image src={formatImgUrl('/mall/invite_code_top.png', '!w400')} mode="aspectFill" />
            </View>
            <View className={styles.bindSalesman_message}>
              <Text>提示</Text>
              <Text>暂未开通下单权限功能，稍后有客服联系您，请注意接收电话。</Text>
            </View>
            <View className={styles.bindSalesman_operation}>
              <View className={styles.btns} onClick={() => onConfirm()}>
                输入邀请码
              </View>
              <View className={styles.btns} onClick={() => onCustomer()}>
                联系客服
              </View>
            </View>
          </View>
          <View className={styles.bindSalesman_mask} onClick={onClose}></View>
        </View>
      )}
    </>
  )
}

export default BindSalesManPopUp
